Core - Bug # 49540

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Install Tool
Created: 2013-07-01 Assigned To:

Updated: 2013-07-01 Due date:

TYPO3 Version: 6.2

PHP Version: 53

Complexity: no-brainer

Is Regression:

Sprint Focus:

Subject: LocalConfiguration cleanup breaks install process

Description

Related issues:

related to Core - Bug # 49299: Install tool: Remove obsolete settings from Lo... Resolved 2013-06-20

Associated revisions

Revision afc518c6 - 2013-07-01 15:00 - Christian Kuhn
[BUGFIX] LocalConfiguration cleanup breaks install process
The method to kick out obsolete settings from LocalConfiguration

in the install tool step installer is called too early and the file

may not exist already. Move the method call below step one of the

installation process that creates the file.

Change-Id: 1f3d824b6488c7cebfdef2abb122aea9d47424983

Resolves: #49540
Related: #49299
Reviewed-on: https://review.typo3.org/21765

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2013-07-01 14:23 - Christian Kuhn
- Parent task set to #49162

#2 - 2013-07-01 14:32 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21765
#3 - 2013-07-01 15:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:afc518c62b326bcfe023c186¢7358ec80fd6306f.
